Summary: Handy library of utility functions
Name: glib
Version: 1.2.8
Release: 1
Group: Libraries
Copyright: LGPL
Url: http://www.gtk.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gimp.org/pub/gtk/v1.2/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
Handy library of utility functions.  Development libs and headers
are in glib-devel.


%package devel
Summary: GIMP Toolkit and GIMP Drawing Kit support library
Group: X11/Libraries
Requires: glib = %{version}

%description devel
Static libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries.  GLIB includes generally
useful data structures.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --disable-nls
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"
$MAKE


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
chmod 755 $RPM_BUILD_ROOT/usr/lib/lib*.so.*
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info
(
	cd docs
	perl -pi -e 's|texi2html|texi2html -number|' Makefile
	rm -f *.html
	make glib.{ps,html}
	gzip -9f *.ps
)


%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/glib.info.gz /usr/info/dir

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/glib.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/usr/lib/lib*.so.*

%files devel
%defattr(-,root,root)
%doc docs/*.ps.gz docs/*.html
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so
/usr/lib/glib
/usr/man/man1/*
/usr/share/aclocal/*


%clean
rm -rf $RPM_BUILD_ROOT
